Subject: Re: linux-next: build warning after merge of the akpm-current tree

From: Jia-Ju Bai <[email-masked]>
Date: Wed, 31 Jul 2019 20:01:45 +0800

On 2019/7/31 14:16, Stephen Rothwell wrote:
> Hi all,
>
> After merging the akpm-current tree, today's linux-next build (x86_64
> allmodconfig) produced this warning:
>
> fs/ocfs2/xattr.c:1493:13: warning: 'ocfs2_xa_add_entry' defined but not used [-Wunused-function]
>   static void ocfs2_xa_add_entry(struct ocfs2_xa_loc *loc, u32 name_hash)
>               ^~~~~~~~~~~~~~~~~~
>
> Introduced by commit
>
>    45d9aa3d263d ("fs: ocfs2: fix possible null-pointer dereferences in ocfs2_xa_prepare_entry()")
>

I look at the code again.
The function ocfs2_xa_add_entry() is never called when using this patch.
Thus, I think the definition of ocfs2_xa_add_entry() could be removed.
If it is okay, I can send a new patch (v3).

Best wishes,
Jia-Ju Bai